package com.goldenwater.slaj.stan.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import com.goldenwater.slaj.stan.domain.BisStanSelfEvaRep;

@Mapper
public interface BisStanSelfEvaRepMapper {
    BisStanSelfEvaRep selectBisStanSelfEvaRepByGuid(String guid);
    List<BisStanSelfEvaRep> selectBisStanSelfEvaRepList(BisStanSelfEvaRep entity);
    int insertBisStanSelfEvaRep(BisStanSelfEvaRep entity);
    int updateBisStanSelfEvaRep(BisStanSelfEvaRep entity);
    int deleteBisStanSelfEvaRepByGuid(String guid);
    int deleteBisStanSelfEvaRepByGuids(String[] guids);
}
